=== modified file 'drizzled/db.cc'
--- drizzled/db.cc	2010-06-25 13:44:52 +0000
+++ drizzled/db.cc	2010-07-20 01:23:40 +0000
@@ -55,7 +55,7 @@
 
 static long drop_tables_via_filenames(Session *session,
                                  SchemaIdentifier &schema_identifier,
-                                 plugin::TableNameList &dropped_tables);
+                                 TableIdentifiers &dropped_tables);
 static void mysql_change_db_impl(Session *session);
 static void mysql_change_db_impl(Session *session, SchemaIdentifier &schema_identifier);
 
@@ -214,7 +214,7 @@
 {
   long deleted=0;
   int error= false;
-  plugin::TableNameList dropped_tables;
+  TableIdentifiers dropped_tables;
   message::Schema schema_proto;
 
   /*
@@ -299,14 +299,14 @@
     query_end= query + MAX_DROP_TABLE_Q_LEN;
 
     TransactionServices &transaction_services= TransactionServices::singleton();
-    for (plugin::TableNameList::iterator it= dropped_tables.begin();
+    for (TableIdentifiers::iterator it= dropped_tables.begin();
          it != dropped_tables.end();
          it++)
     {
       uint32_t tbl_name_len;
 
       /* 3 for the quotes and the comma*/
-      tbl_name_len= (*it).length() + 3;
+      tbl_name_len= (*it).getTableName().length() + 3;
       if (query_pos + tbl_name_len + 1 >= query_end)
       {
         /* These DDL methods and logging protected with LOCK_create_db */
@@ -315,7 +315,7 @@
       }
 
       *query_pos++ = '`';
-      query_pos= strcpy(query_pos, (*it).c_str()) + (tbl_name_len-3);
+      query_pos= strcpy(query_pos, (*it).getTableName().c_str()) + (tbl_name_len-3);
       *query_pos++ = '`';
       *query_pos++ = ',';
     }
@@ -490,16 +490,16 @@
 
 static long drop_tables_via_filenames(Session *session,
                                       SchemaIdentifier &schema_identifier,
-                                      plugin::TableNameList &dropped_tables)
+                                      TableIdentifiers &dropped_tables)
 {
   long deleted= 0;
   TableList *tot_list= NULL, **tot_list_next;
 
   tot_list_next= &tot_list;
 
-  plugin::StorageEngine::getTableNames(*session, schema_identifier, dropped_tables);
+  plugin::StorageEngine::getTableIdentifiers(*session, schema_identifier, dropped_tables);
 
-  for (plugin::TableNameList::iterator it= dropped_tables.begin();
+  for (TableIdentifiers::iterator it= dropped_tables.begin();
        it != dropped_tables.end();
        it++)
   {
@@ -509,16 +509,16 @@
     TableList *table_list=(TableList*)
       session->calloc(sizeof(*table_list) +
                       db_len + 1 +
-                      (*it).length() + 1);
+                      (*it).getTableName().length() + 1);
 
     if (not table_list)
       return -1;
 
     table_list->db= (char*) (table_list+1);
     table_list->table_name= strcpy(table_list->db, schema_identifier.getSchemaName().c_str()) + db_len + 1;
-    TableIdentifier::filename_to_tablename((*it).c_str(), table_list->table_name, (*it).size() + 1);
+    TableIdentifier::filename_to_tablename((*it).getTableName().c_str(), table_list->table_name, (*it).getTableName().size() + 1);
     table_list->alias= table_list->table_name;  // If lower_case_table_names=2
-    table_list->setInternalTmpTable((strncmp((*it).c_str(),
+    table_list->setInternalTmpTable((strncmp((*it).getTableName().c_str(),
                                              TMP_FILE_PREFIX,
                                              strlen(TMP_FILE_PREFIX)) == 0));
     /* Link into list */

=== modified file 'drizzled/plugin/storage_engine.cc'
--- drizzled/plugin/storage_engine.cc	2010-07-09 17:59:07 +0000
+++ drizzled/plugin/storage_engine.cc	2010-07-20 01:23:40 +0000
@@ -558,28 +558,6 @@
   return create(share, alloc);
 }
 
-class AddTableName : 
-  public unary_function<StorageEngine *, void>
-{
-  CachedDirectory &directory;
-  const SchemaIdentifier &identifier;
-  TableNameList &set_of_names;
-
-public:
-
-  AddTableName(CachedDirectory &directory_arg, const SchemaIdentifier &identifier_arg, set<string>& of_names) :
-    directory(directory_arg),
-    identifier(identifier_arg),
-    set_of_names(of_names)
-  {
-  }
-
-  result_type operator() (argument_type engine)
-  {
-    engine->doGetTableNames(directory, identifier, set_of_names);
-  }
-};
-
 class AddTableIdentifier : 
   public unary_function<StorageEngine *, void>
 {
@@ -606,33 +584,6 @@
 static SchemaIdentifier INFORMATION_SCHEMA_IDENTIFIER("information_schema");
 static SchemaIdentifier DATA_DICTIONARY_IDENTIFIER("data_dictionary");
 
-void StorageEngine::getTableNames(Session &session, const SchemaIdentifier &schema_identifier, TableNameList &set_of_names)
-{
-  CachedDirectory directory(schema_identifier.getPath(), set_of_table_definition_ext);
-
-  if (schema_identifier == INFORMATION_SCHEMA_IDENTIFIER)
-  { }
-  else if (schema_identifier == DATA_DICTIONARY_IDENTIFIER)
-  { }
-  else
-  {
-    if (directory.fail())
-    {
-      errno= directory.getError();
-      if (errno == ENOENT)
-        my_error(ER_BAD_DB_ERROR, MYF(ME_BELL+ME_WAITTANG), const_cast<SchemaIdentifier &>(schema_identifier).getSQLPath().c_str());
-      else
-        my_error(ER_CANT_READ_DIR, MYF(ME_BELL+ME_WAITTANG), directory.getPath(), errno);
-      return;
-    }
-  }
-
-  for_each(vector_of_engines.begin(), vector_of_engines.end(),
-           AddTableName(directory, schema_identifier, set_of_names));
-
-  session.doGetTableNames(directory, schema_identifier, set_of_names);
-}
-
 void StorageEngine::getTableIdentifiers(Session &session, const SchemaIdentifier &schema_identifier, TableIdentifiers &set_of_identifiers)
 {
   CachedDirectory directory(schema_identifier.getPath(), set_of_table_definition_ext);

=== modified file 'drizzled/plugin/storage_engine.h'
--- drizzled/plugin/storage_engine.h	2010-07-15 23:18:11 +0000
+++ drizzled/plugin/storage_engine.h	2010-07-20 01:23:40 +0000
@@ -326,7 +326,6 @@
   static int dropTable(Session& session,
                        StorageEngine &engine,
                        const drizzled::TableIdentifier &identifier);
-  static void getTableNames(Session &session, const drizzled::SchemaIdentifier& schema_identifier, TableNameList &set_of_names);
   static void getTableIdentifiers(Session &session, const SchemaIdentifier &schema_identifier, TableIdentifiers &set_of_identifiers);
 
   // Check to see if any SE objects to creation.

